cURL
curl --request GET \
--url https://api.botpress.cloud/v1/admin/bots/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.botpress.cloud/v1/admin/bots/{id}"
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-workspace-id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.botpress.cloud/v1/admin/bots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bot": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"signingSecret": "<string>",
"integrations": {},
"plugins": {},
"user": {
"tags": {}
},
"conversation": {
"tags": {}
},
"message": {
"tags": {}
},
"states": {},
"configuration": {
"data": {},
"schema": {}
},
"events": {},
"recurringEvents": {},
"subscriptions": {
"events": {},
"integrations": {},
"plugins": {},
"bot": {
"events": {
"include": [
"<string>"
],
"exclude": [
"<string>"
]
}
}
},
"actions": {},
"tags": {},
"name": "<string>",
"dev": true,
"secrets": [
"<string>"
],
"alwaysAlive": true,
"status": "active",
"medias": [
{
"url": "<string>",
"name": "<string>"
}
],
"type": "studio",
"maxExecutionTime": 123,
"description": "<string>",
"deployedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>"
}
}{
"bot": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"signingSecret": "<string>",
"integrations": {},
"plugins": {},
"user": {
"tags": {}
},
"conversation": {
"tags": {}
},
"message": {
"tags": {}
},
"states": {},
"configuration": {
"data": {},
"schema": {}
},
"events": {},
"recurringEvents": {},
"subscriptions": {
"events": {},
"integrations": {},
"plugins": {},
"bot": {
"events": {
"include": [
"<string>"
],
"exclude": [
"<string>"
]
}
}
},
"actions": {},
"tags": {},
"name": "<string>",
"dev": true,
"secrets": [
"<string>"
],
"alwaysAlive": true,
"status": "active",
"medias": [
{
"url": "<string>",
"name": "<string>"
}
],
"type": "studio",
"maxExecutionTime": 123,
"description": "<string>",
"deployedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>"
}
}Get bot details
GET
/
v1
/
admin
/
bots
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Workspace ID
Whether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.
Path Parameters
Bot ID
Response
Success
Show child attributes
Show child attributes
Last modified on July 3, 2026
Was this page helpful?
⌘I